variable "topic_name" {
  description = "The name of the SNS topic to create"
  type        = string
  default     = null
}

variable "allowed_aws_services_for_sns_published" {
  type        = string
  description = "AWS services that will have permission to publish to SNS topic. Used when no external json policy is used."
  default     = "cloudwatch.amazonaws.com"
}

variable "kms_master_key_id" {
  type        = string
  description = "The ID of an AWS-managed customer master key (CMK) or a custom CMK"
  default     = "alias/mcs2-carbonblack"
}

variable "iam_policy_prefix" {
  type = string
}

variable "tags" {
  description = "A mapping of tags to assign to all resources"
  type        = map(string)
  default     = {}
}

variable "access_policy_statements" {
  description = "SNS Access Policy Statements"
  type        = bool
  default     = false
}

variable "enable_iam_policies" {
  type    = bool
  default = true
}